# PSF-LoginServer - master - net.psforever.types.OxygenState
PSF - LoginServer - master - net.psforever.types.OxygenState
Keywords: PSF LoginServer master net.psforever.types.OxygenState

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
- Angular
- BailType
- CapacitorStateType
- CargoStatus
- CharacterSex
- CharacterVoice
- ChatMessageType
- DriveState
- EmoteType
- ExoSuitType
- GrenadeState
- HartSequence
- ImplantType
- LazeWaypoint
- LoadoutType
- MeritCommendation
- OxygenState
- PlanetSideEmpire
- PlanetSideGUID
- PlanetSideGeneratorState
- SpawnGroup
- SquadRequestType
- SquadResponseType
- SquadWaypoint
- StalePlanetSideGUID
- StandardWaypoint
- TransactionType
- ValidPlanetSideGUID
- Vector3
- WaypointSubtype

o

net.psforever.types

# OxygenState 

###
Companion class OxygenState

#### object OxygenState extends Enum[OxygenState]

The progress state of being a drowning victim. `Suffocation` means being too far under water. In terms of percentage, progress proceeds towards 0. `Recovery` means emerging from being too far under water. In terms of percentage, progress proceeds towards 100.

Source
  OxygenState.scala

Linear Supertypes
Enum[OxygenState], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OxygenState
2. Enum
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  implicit val codec: Codec[OxygenState]
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def extraNamesToValuesMap: Map[String, OxygenState]
   Definition Classes
     Enum
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  macro def findValues: IndexedSeq[OxygenState]
    Attributes
      protected
    Definition Classes
      Enum
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def indexOf(member: OxygenState): Int
    Definition Classes
      Enum
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final lazy val lowerCaseNamesToValuesMap: Map[String, OxygenState]
    Definition Classes
      Enum
17.  lazy val namesToValuesMap: Map[String, OxygenState]
    Definition Classes
      Enum
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final lazy val upperCaseNameValuesToMap: Map[String, OxygenState]
    Definition Classes
      Enum
24.  val values: IndexedSeq[OxygenState]
    Definition Classes
      OxygenState → Enum
25.  final lazy val valuesToIndex: Map[OxygenState, Int]
    Definition Classes
      Enum
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
29.  def withName(name: String): OxygenState
    Definition Classes
      Enum
    Annotations
      @SuppressWarnings()
30.  def withNameEither(name: String): Either[NoSuchMember[OxygenState], OxygenState]
    Definition Classes
      Enum
31.  def withNameInsensitive(name: String): OxygenState
    Definition Classes
      Enum
    Annotations
      @SuppressWarnings()
32.  def withNameInsensitiveEither(name: String): Either[NoSuchMember[OxygenState], OxygenState]
    Definition Classes
      Enum
33.  def withNameInsensitiveOption(name: String): Option[OxygenState]
    Definition Classes
      Enum
34.  def withNameLowercaseOnly(name: String): OxygenState
    Definition Classes
      Enum
    Annotations
      @SuppressWarnings()
35.  def withNameLowercaseOnlyEither(name: String): Either[NoSuchMember[OxygenState], OxygenState]
    Definition Classes
      Enum
36.  def withNameLowercaseOnlyOption(name: String): Option[OxygenState]
    Definition Classes
      Enum
37.  def withNameOption(name: String): Option[OxygenState]
    Definition Classes
      Enum
38.  def withNameUppercaseOnly(name: String): OxygenState
    Definition Classes
      Enum
    Annotations
      @SuppressWarnings()
39.  def withNameUppercaseOnlyEither(name: String): Either[NoSuchMember[OxygenState], OxygenState]
    Definition Classes
      Enum
40.  def withNameUppercaseOnlyOption(name: String): Option[OxygenState]
    Definition Classes
      Enum
41.  case object Recovery extends OxygenState with Product with Serializable
42.  case object Suffocation extends OxygenState with Product with Serializable

### Inherited from Enum[OxygenState]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped